<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Dozent\KursUebersicht\Detailsreiter\Honorar\Vertrag\VertragAblehnen;

class VertragAblehnenDialogController extends \Kufer\Web\KuferTools\Basis\Controller\AjaxNoContainerToolController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new VertragAblehnenDialogUseCase($this->getRequestObj());
  }

  protected function getRequestObj()
  {
    $result = new VertragAblehnenDialogRequest();
    $result->knr = \GetOperations::getVarValue('knr');
    $result->mitBemerkung = \GetOperations::getVarValue('bemerkung') === '1';

    return $result;
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new VertragAblehnenDialogPresenter($pUseCaseResponse);
  }
}